Skip to main content
GET
/
v1
/
table
/
{table_uuid}
/
rows
Get table rows
curl --request GET \
  --url https://api.databar.ai/v1/table/{table_uuid}/rows \
  --header 'x-apikey: <x-apikey>'
{
  "has_next_page": true,
  "total_count": 40,
  "page": 1,
  "data": [
    {
      "id": "fec5c2e3-1f18-491b-a875-5c274f052357",
      "column1": "data1",
      "column2": "data2"
    }
  ]
}

Headers

x-apikey
string
required

API Key for authentication

Path Parameters

table_uuid
string<uuid>
required

The UUID of the table to retrieve

Query Parameters

per_page
integer
default:100

Number of items per page (max 500).

Required range: x <= 500
page
integer
default:1

Page number to retrieve.

Required range: x >= 1
filter
string | null

JSON-encoded filter object. Keys are column names, values are objects with one operator. Operators: equals, contains, not_equals, is_empty, is_not_empty. Example: {"company":{"contains":"tech"},"status":{"equals":"active"}}

Example:

"{\"company\":{\"contains\":\"tech\"}}"

Response

Table retrieved successfully